﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Speech.Synthesis;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp12
{ 
    public partial class Form1 : Form
    {
        SpeechSynthesizer engine = new SpeechSynthesizer();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //engine.Speak(textBox1.Text);
            engine.SpeakAsync(textBox1.Text);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach(InstalledVoice voice in engine.GetInstalledVoices())
            {
                richTextBox1.AppendText(voice.VoiceInfo.Name+Environment.NewLine);
                comboBox1.Items.Add(voice.VoiceInfo.Name);
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //engine.SelectVoice(textBox2.Text);
            engine.SelectVoice(comboBox1.Text);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if(engine.State == SynthesizerState.Speaking)
            {
                engine.Pause();
            }
            else
            {
                engine.Resume();
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            engine.Rate = trackBar1.Value;
        }
    }
}
