﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp12
{
    public partial class Form3 : Form
    {
        OleDbConnection connection;
        String connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=Database1.mdb;";
        public Form3()
        {
            InitializeComponent();
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            connection = new OleDbConnection(connectionString);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String query = "Select CountryName,NumberOfCases from CovidCases";
            OleDbCommand command= connection.CreateCommand();
            command.CommandText = query;
            OleDbDataReader reader = command.ExecuteReader();
            while(reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(0)+":"+reader.GetInt32(1).ToString()+Environment.NewLine);
            }
            reader.Close();
            connection.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Insert into CovidCases([CountryName],[NumberOfCases],[CountryPopulation])" +
                " values(@countryname,@numberofcases,@countrypopulation)";
            String c_name = textBox1.Text;
            String c_cases = textBox2.Text;
            String c_population = textBox3.Text;
            OleDbCommand command= connection.CreateCommand();
            command.CommandText = query;
            command.Parameters.AddRange(new OleDbParameter[]
            {
                new OleDbParameter("countryname",c_name),
                new OleDbParameter("numberofcases",c_cases),
                new OleDbParameter("countrypopulation",c_population)
            });
            int number = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(number.ToString() + " row affected");
        }
    }
}
